# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global jettyname   jetty
%global jtuid       110
%global username    %{name}
%global confdir     %{_sysconfdir}/%{name}
%global logdir      %{_localstatedir}/log/%{name}
%global homedir     %{_datadir}/%{name}
%global jettycachedir %{_localstatedir}/cache/%{name}
%global tempdir     %{jettycachedir}/temp
%global rundir      %{_localstatedir}/run/%{name}
%global jettylibdir %{_localstatedir}/lib/%{name}
%global appdir      %{jettylibdir}/webapps

%global addver v20120308

Name:           jetty
Version:        8.1.2
Release:        12%{?dist}
Summary:        Java Webserver and Servlet Container

Group:          Applications/Internet
# Jetty is dual licensed under both ASL 2.0 and EPL 1.0, see NOTICE.txt
License:        ASL 2.0 or EPL
URL:            http://jetty.mortbay.org/jetty/
Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.project.git/snapshot/jetty-%{version}.%{addver}.tar.bz2
Source1:        djetty.script
Source3:        jetty.logrotate
Source4:        %{name}-depmap.xml
Source5:        %{name}.service
Patch1:         0001-Remove-javadoc-execution.patch
Patch2:         0002-Disable-test-artifacts.patch
Patch3:         0003-Change-servelt-groupId-to-javax.servlet.patch
Patch4:         0004-Modify-dependencies.patch
Patch5:         0005-Remove-pmd-plugin.patch
Patch6:         0006-Remove-unpack-config-deps-from-distribution.patch
Patch100:       %{name}-create-work-dir.patch

BuildRequires:  geronimo-annotation
BuildRequires:  geronimo-jaspic-spec
BuildRequires:  geronimo-jta
BuildRequires:  glassfish-jsp
BuildRequires:  glassfish-jsp-api
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  jpackage-utils
BuildRequires:  jvnet-parent
BuildRequires:  maven
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-war-plugin
BuildRequires:  objectweb-asm
BuildRequires:  slf4j
BuildRequires:  systemd-units
BuildRequires:  tomcat-el-2.2-api
BuildRequires:  tomcat-jsp-2.2-api
BuildRequires:  tomcat-lib
BuildRequires:  tomcat-servlet-3.0-api

%if 0%{?rhel} <= 0
BuildRequires:  eclipse-platform
BuildRequires:  eclipse-rcp
BuildRequires:  mongo-java-driver >= 2.6.5-4
%endif

# we want javamail not classpathx-javamail
BuildRequires:  %{_javadir}/javamail/mail.jar
BuildRequires:  jetty-parent
BuildRequires:  jetty-distribution-remote-resources
BuildRequires:  jetty-build-support
BuildRequires:  jetty-version-maven-plugin
BuildRequires:  jetty-toolchain
BuildRequires:  jetty-assembly-descriptors
BuildRequires:  jetty-test-policy
BuildRequires:  jetty-artifact-remote-resources


BuildArch:      noarch

Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-ajp              = %{version}-%{release}
Requires:       jetty-annotations      = %{version}-%{release}
Requires:       jetty-client           = %{version}-%{release}
Requires:       jetty-continuation     = %{version}-%{release}
Requires:       jetty-deploy           = %{version}-%{release}
Requires:       jetty-http             = %{version}-%{release}
Requires:       jetty-io               = %{version}-%{release}
Requires:       jetty-jmx              = %{version}-%{release}
Requires:       jetty-jndi             = %{version}-%{release}
Requires:       jetty-overlay-deployer = %{version}-%{release}
Requires:       jetty-plus             = %{version}-%{release}
Requires:       jetty-policy           = %{version}-%{release}
Requires:       jetty-rewrite          = %{version}-%{release}
Requires:       jetty-security         = %{version}-%{release}
Requires:       jetty-server           = %{version}-%{release}
Requires:       jetty-servlet          = %{version}-%{release}
Requires:       jetty-servlets         = %{version}-%{release}
Requires:       jetty-util             = %{version}-%{release}
Requires:       jetty-webapp           = %{version}-%{release}
Requires:       jetty-websocket        = %{version}-%{release}
Requires:       jetty-xml              = %{version}-%{release}


# These are not required by main jetty server so we don't require them
# in RPM. Install as necessary
# Requires:       jetty-http-spi         = %{version}-%{release}
# Requires:       jetty-jaspi            = %{version}-%{release}
# Requires:       jetty-nested           = %{version}-%{release}
# %if 0%{?rhel} <= 0
# Requires:       jetty-nosql            = %{version}-%{release}
# Requires:       jetty-osgi             = %{version}-%{release}
# %endif

Requires(pre):    shadow-utils
Requires(post):   systemd-units, systemd-sysv
Requires(preun):  systemd-units
Requires(postun): systemd-units

Provides:       group(%username) = %jtuid
Provides:       user(%username)  = %jtuid

Obsoletes: %{name}-manual < %{version}-%{release}

%description
%global desc \
Jetty is a 100% Java HTTP Server and Servlet Container. This means that you\
do not need to configure and run a separate web server (like Apache) in order\
to use Java, servlets and JSPs to generate dynamic content. Jetty is a fully\
featured web server for static and dynamic content. Unlike separate\
server/container solutions, this means that your web server and web\
application run in the same process, without interconnection overheads\
and complications. Furthermore, as a pure java component, Jetty can be simply\
included in your application for demonstration, distribution or deployment.\
Jetty is available on all Java supported platforms.
%{desc}
%global extdesc %{desc}\
\
This package contains

%package        project
Summary:        POM files for Jetty
Group:          Development/Libraries
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-parent

%description    project
%{extdesc} %{summary}.

%package        ajp
Summary:        ajp module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api
%description    ajp
%{extdesc} %{summary}.

%package        annotations
Summary:        annotations module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project  = %{version}-%{release}
Requires:       jetty-plus     = %{version}-%{release}
Requires:       jetty-security = %{version}-%{release}
Requires:       jetty-server   = %{version}-%{release}
Requires:       jetty-servlet  = %{version}-%{release}
Requires:       jetty-util     = %{version}-%{release}
Requires:       jetty-webapp   = %{version}-%{release}
Requires:       objectweb-asm
Requires:       geronimo-annotation
Requires:       tomcat-lib
%description    annotations
%{extdesc} %{summary}.

%package        client
Summary:        client module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}

%description    client
%{extdesc} %{summary}.

%package        continuation
Summary:        continuation module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api
%description    continuation
%{extdesc} %{summary}.

%package        deploy
Summary:        deploy module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-jmx     = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       jetty-webapp  = %{version}-%{release}
Requires:       jetty-xml     = %{version}-%{release}

%description    deploy
%{extdesc} %{summary}.

%package        http
Summary:        http module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api
%description    http
%{extdesc} %{summary}.

%package        http-spi
Summary:        http-spi module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    http-spi
%{extdesc} %{summary}.

%package        io
Summary:        io module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}

%description    io
%{extdesc} %{summary}.

%package        jaspi
Summary:        jaspi module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project  = %{version}-%{release}
Requires:       jetty-security = %{version}-%{release}
Requires:       jetty-server   = %{version}-%{release}
Requires:       jetty-util     = %{version}-%{release}
Requires:       geronimo-jaspic-spec
Requires:       tomcat-servlet-3.0-api

%description    jaspi
%{extdesc} %{summary}.

%package        jmx
Summary:        jmx module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}

%description    jmx
%{extdesc} %{summary}.

%package        jndi
Summary:        jndi module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       jetty-webapp  = %{version}-%{release}
Requires:       %{_javadir}/javamail/mail.jar

%description    jndi
%{extdesc} %{summary}.

%package        monitor
Summary:        monitor module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-client  = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       jetty-xml     = %{version}-%{release}

%description    monitor
%{extdesc} %{summary}.

%package        nested
Summary:        nested module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    nested
%{extdesc} %{summary}.

%package        overlay-deployer
Summary:        overlay-deployer module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-deploy  = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-jndi    = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-servlet = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       jetty-webapp  = %{version}-%{release}
Requires:       jetty-xml     = %{version}-%{release}
Requires:       geronimo-jta
Requires:       tomcat-servlet-3.0-api

%description    overlay-deployer
%{extdesc} %{summary}.

%package        plus
Summary:        plus module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project  = %{version}-%{release}
Requires:       jetty-jndi     = %{version}-%{release}
Requires:       jetty-security = %{version}-%{release}
Requires:       jetty-server   = %{version}-%{release}
Requires:       jetty-servlet  = %{version}-%{release}
Requires:       jetty-util     = %{version}-%{release}
Requires:       jetty-webapp   = %{version}-%{release}
Requires:       jetty-xml      = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    plus
%{extdesc} %{summary}.

%package        policy
Summary:        policy module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}

%description    policy
%{extdesc} %{summary}.

%package        rewrite
Summary:        rewrite module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-client  = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    rewrite
%{extdesc} %{summary}.

%package        security
Summary:        security module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    security
%{extdesc} %{summary}.

%package        server
Summary:        server module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project      = %{version}-%{release}
Requires:       jetty-continuation = %{version}-%{release}
Requires:       jetty-http         = %{version}-%{release}
Requires:       jetty-io           = %{version}-%{release}
Requires:       jetty-jmx          = %{version}-%{release}
Requires:       jetty-util         = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    server
%{extdesc} %{summary}.

%package        servlet
Summary:        servlet module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project      = %{version}-%{release}
Requires:       jetty-continuation = %{version}-%{release}
Requires:       jetty-http         = %{version}-%{release}
Requires:       jetty-io           = %{version}-%{release}
Requires:       jetty-jmx          = %{version}-%{release}
Requires:       jetty-security     = %{version}-%{release}
Requires:       jetty-server       = %{version}-%{release}
Requires:       jetty-util         = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    servlet
%{extdesc} %{summary}.

%package        servlets
Summary:        servlets module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project      = %{version}-%{release}
Requires:       jetty-client       = %{version}-%{release}
Requires:       jetty-continuation = %{version}-%{release}
Requires:       jetty-http         = %{version}-%{release}
Requires:       jetty-io           = %{version}-%{release}
Requires:       jetty-server       = %{version}-%{release}
Requires:       jetty-util         = %{version}-%{release}
Requires:       jetty-webapp       = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    servlets
%{extdesc} %{summary}.

%package        util
Summary:        util module for Jetty
# Utf8Appendable.java is additionally under MIT license
License:        (ASL 2.0 or EPL) and MIT
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api
Requires:       slf4j

%description    util
%{extdesc} %{summary}.

%package        webapp
Summary:        webapp module for Jetty
License:        ASL 2.0 or EPL
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project  = %{version}-%{release}
Requires:       jetty-http     = %{version}-%{release}
Requires:       jetty-io       = %{version}-%{release}
Requires:       jetty-security = %{version}-%{release}
Requires:       jetty-server   = %{version}-%{release}
Requires:       jetty-servlet  = %{version}-%{release}
Requires:       jetty-util     = %{version}-%{release}
Requires:       jetty-xml      = %{version}-%{release}
Requires:       glassfish-jsp
Requires:       glassfish-jsp-api
Requires:       jakarta-taglibs-standard
Requires:       tomcat-servlet-3.0-api

%description    webapp
%{extdesc} %{summary}.

%package        websocket
Summary:        websocket module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-http    = %{version}-%{release}
Requires:       jetty-io      = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       tomcat-servlet-3.0-api

%description    websocket
%{extdesc} %{summary}.

%package        xml
Summary:        xml module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}

%description    xml
%{extdesc} %{summary}.

%if 0%{?rhel} <= 0
%package        nosql
Summary:        nosql module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project = %{version}-%{release}
Requires:       jetty-server  = %{version}-%{release}
Requires:       jetty-util    = %{version}-%{release}
Requires:       mongo-java-driver >= 2.6.5-4
Requires:       tomcat-servlet-3.0-api

%description    nosql
%{extdesc} %{summary}.

%package        osgi
Summary:        OSGi module for Jetty
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       jetty-project     = %{version}-%{release}
Requires:       jetty-annotations = %{version}-%{release}
Requires:       jetty-deploy      = %{version}-%{release}
Requires:       jetty-nested      = %{version}-%{release}
Requires:       jetty-server      = %{version}-%{release}
Requires:       jetty-servlet     = %{version}-%{release}
Requires:       jetty-util        = %{version}-%{release}
Requires:       jetty-webapp      = %{version}-%{release}
Requires:       jetty-xml         = %{version}-%{release}
Requires:       eclipse-platform
Requires:       eclipse-rcp
Requires:       glassfish-jsp
Requires:       glassfish-jsp-api
Requires:       tomcat-servlet-3.0-api
Requires:       tomcat-el-2.2-api
Requires:       tomcat-jsp-2.2-api
Requires:       tomcat-lib

%description    osgi
%{extdesc} %{summary}.
%endif

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
# some MIT-licensed code (from Utf8Appendable) is used to generate javadoc
License:        (ASL 2.0 or EPL) and MIT
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{jettyname}-%{version}.%{addver}
for f in $(find . -name "*.?ar"); do rm $f; done
find . -name "*.class" -exec rm {} \;


%patch1 -p1 -b .sav
%patch2 -p1 -b .sav
%patch3 -p1 -b .sav
%patch4 -p1 -b .sav
%patch5 -p1 -b .sav
%patch6 -p1 -b .sav
%if 0%{?rhel} > 0
%pom_disable_module jetty-osgi
%pom_xpath_remove "pom:profile[pom:id[text()='osgi']]"
%endif
%patch100 -p2 -b .sav

%pom_remove_dep :org.eclipse.jdt.core jetty-jsp
%pom_xpath_inject "pom:project/pom:dependencies" "
    <dependency>
      <groupId>org.glassfish.web</groupId>
      <artifactId>javax.servlet.jsp</artifactId>
      <version>2.2.3</version>
    </dependency>" jetty-jsp

cp %{SOURCE1} djetty

# this needs jetty6 things, so just remove it
# shouldn't cause any trouble since it handled only in loadClass elsewhere
rm jetty-continuation/src/main/java/org/eclipse/jetty/continuation/Jetty6Continuation.java

iconv -f iso-8859-1 -t utf-8 LICENSE-CONTRIBUTOR/CDDLv1.0.txt > \
      LICENSE-CONTRIBUTOR/CDDLv1.0.txt.con
mv LICENSE-CONTRIBUTOR/CDDLv1.0.txt{.con,}

%build
#rm -rf ./*
#ln -sf ~/temp/jetty/jetty-8.1.0.%{addver}.copy/* .
#exit 0
# remove previous lines!
sed -i -e "s|/usr/share|%{_datadir}|g" djetty

mvn-rpmbuild  -e \
    -Dmaven.local.depmap.file=%{SOURCE4} \
    -Dmaven.test.skip=true \
    install javadoc:aggregate
cd jetty-distribution
rm -rf target/distribution
mkdir -p target/distribution
find .. -ipath '*target/*config.jar' | ( while read; do
  unzip $REPLY -x 'META-INF/*' -d target/distribution
done)

mvn-rpmbuild \
    -Dmaven.repo.local=$(pwd)/../.m2 \
    -Dmaven.local.depmap.file=%{SOURCE4} \
    -Dmaven.test.skip=true \
    install javadoc:aggregate

%install
# dirs
install -dm 755 %{buildroot}%{_bindir}
install -dm 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -dm 755 %{buildroot}%{_javadir}/%{name}


install -dm 755 %{buildroot}%{_javadocdir}/%{name}
install -dm 755 %{buildroot}%{confdir}
install -dm 755 %{buildroot}%{homedir}
install -dm 755 %{buildroot}%{logdir}
install -dm 755 %{buildroot}%{rundir}
install -dm 755 %{buildroot}%{tempdir}
install -dm 755 %{buildroot}%{appdir}
install -dm 755 %{buildroot}%{_unitdir}

# systemd unit file
cp %{SOURCE5} %{buildroot}%{_unitdir}/

# main pkg
tar xvf jetty-distribution/target/%{name}-distribution-%{version}.%{addver}.tar.gz -C %{buildroot}%{homedir}
mv %{buildroot}%{homedir}/%{name}-distribution-%{version}.%{addver}/* %{buildroot}%{homedir}/
rm -rf %{buildroot}%{homedir}/%{name}-distribution-%{version}.%{addver}
rm -f %{buildroot}%{homedir}/bin/*cygwin*

chmod +x %{buildroot}%{homedir}/bin/jetty-xinetd.sh
chmod +x djetty
mv djetty %{buildroot}%{_bindir}/djetty
ln -s %{homedir}/bin/jetty.sh %{buildroot}%{_bindir}/%{name}
install -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
echo '# Placeholder configuration file.  No default is provided.' > \
     %{buildroot}%{confdir}/jetty.conf

# make sure jetty knows where to look for jars
sed -i "1{s:^:lib=%{homedir}/lib\n:}" %{buildroot}%{homedir}/start.ini
mv %{buildroot}%{homedir}/start.ini %{buildroot}%{confdir}
ln -s %{confdir}/start.ini %{buildroot}%{homedir}


install -dm 755 %{buildroot}%{_mavenpomdir}
for module in jetty-ajp jetty-annotations jetty-client jetty-continuation \
           jetty-deploy jetty-http jetty-io jetty-jmx jetty-jndi \
           jetty-overlay-deployer jetty-plus jetty-policy \
           jetty-rewrite jetty-security jetty-server jetty-servlet \
           jetty-servlets jetty-util jetty-webapp jetty-websocket \
           jetty-xml; do
    mv %{buildroot}%{homedir}/lib/$module-*.jar \
           %{buildroot}%{_javadir}/%{name}/$module.jar
    ln -s  %{_javadir}/%{name}/$module.jar \
           %{buildroot}%{homedir}/lib/$module-%{version}.%{addver}.jar
    install -pm 644 $module/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-$module.pom
    %add_maven_depmap JPP.%{name}-$module.pom %{name}/$module.jar -f $module
done

# modules used during build and other jars not included in the
# distribution tarball
for module in jetty-http-spi jetty-jaspi jetty-nested jetty-nosql;do
    install -m 644 $module/target/$module-%{version}.%{addver}.jar \
           %{buildroot}%{_javadir}/%{name}/$module.jar
    install -pm 644 $module/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-$module.pom
    %add_maven_depmap JPP.%{name}-$module.pom %{name}/$module.jar -f $module
done

%if 0%{?rhel} <= 0
pushd jetty-osgi
    install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jetty-osgi.pom
    %add_maven_depmap JPP.%{name}-jetty-osgi.pom -f jetty-osgi
    for submod in boot boot-jsp boot-warurl;do
        module=jetty-osgi-$submod
        install -m 644 $module/target/$module-%{version}.%{addver}.jar \
           %{buildroot}%{_javadir}/%{name}/$module.jar
        install -pm 644 $module/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-$module.pom
        %add_maven_depmap JPP.%{name}-$module.pom %{name}/$module.jar -f jetty-osgi
    done

    #httpservice is a bit special (for no good reason)
    module=jetty-httpservice
    install -m 644 jetty-osgi-httpservice/target/$module-%{version}.%{addver}.jar \
        %{buildroot}%{_javadir}/%{name}/$module.jar
    install -pm 644 jetty-osgi-httpservice/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-$module.pom
    %add_maven_depmap JPP.%{name}-$module.pom %{name}/$module.jar -f jetty-osgi

popd
%endif

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-project.pom
%add_maven_depmap JPP.%{name}-project.pom -f project

# purge bundled jars
rm %{buildroot}%{homedir}/lib/{annotations,jndi,jsp,jta}/*

# recreat tarball structure in lib
ln -sf $(build-classpath tomcat-servlet-3.0-api) \
       %{buildroot}%{homedir}/lib/servlet-api-3.0.jar

build-jar-repository %{buildroot}%{homedir}/lib/annotations \
                     objectweb-asm/asm-all geronimo-annotation

build-jar-repository %{buildroot}%{homedir}/lib/jndi javamail/mail

build-jar-repository %{buildroot}%{homedir}/lib/jsp tomcat-el-2.2-api \
           taglibs-core taglibs-standard glassfish-jsp \
           glassfish-jsp-api  tomcat/jasper tomcat/jasper-el tomcat/tomcat-api \
           tomcat/tomcat-juli tomcat/tomcat-jsp-2.2-api


ln -sf $(build-classpath geronimo-jta) \
       %{buildroot}%{homedir}/lib/jta/

mv %{buildroot}%{homedir}/lib/monitor/jetty-monitor-%{version}.%{addver}.jar \
   %{buildroot}%{_javadir}/%{name}/jetty-monitor.jar
ln -s %{_javadir}/%{name}/jetty-monitor.jar \
      %{buildroot}%{homedir}/lib/monitor/jetty-monitor-%{version}.%{addver}.jar
install -pm 644 jetty-monitor/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jetty-monitor.pom
%add_maven_depmap JPP.%{name}-jetty-monitor.pom %{name}/jetty-monitor.jar -f jetty-monitor

mv %{buildroot}%{homedir}/start.jar \
   %{buildroot}%{_javadir}/%{name}/jetty-start.jar
ln -s %{_javadir}/%{name}/jetty-start.jar \
      %{buildroot}%{homedir}/start.jar
install -pm 644 jetty-start/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jetty-start.pom
%add_maven_depmap JPP.%{name}-jetty-start.pom %{name}/jetty-start.jar


( cat << EO_RC
JAVA_HOME=/usr/lib/jvm/java
JAVA_OPTIONS=
JETTY_HOME=%{homedir}
JETTY_CONSOLE=%{logdir}/jetty-console.log
JETTY_PORT=8080
JETTY_RUN=%{_localstatedir}/run/%{name}
JETTY_PID=\$JETTY_RUN/jetty.pid
EO_RC
) > %{buildroot}%{homedir}/.jettyrc

mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
( cat << EOF
D /var/run/%{name} 0755 %username %{username} -
EOF
) > %{buildroot}%{_sysconfdir}/tmpfiles.d/%{name}.conf

rm -fr %{buildroot}%{homedir}/logs
ln -s %{logdir} %{buildroot}%{homedir}/logs

mv %{buildroot}%{homedir}/etc/* %{buildroot}/%{confdir}
rm -fr %{buildroot}%{homedir}/etc
ln -s %{confdir} %{buildroot}%{homedir}/etc

mv %{buildroot}%{homedir}/webapps/* %{buildroot}/%{appdir}
rm -fr %{buildroot}%{homedir}/webapps
ln -s %{appdir} %{buildroot}%{homedir}/webapps

rm %{buildroot}%{homedir}/*.txt  %{buildroot}%{homedir}/*.html

# Here jetty is going to put its runtime data.
# See: https://bugzilla.redhat.com/show_bug.cgi?id=845993
ln -sf %{rundir} %{buildroot}%{homedir}/work

# following seem like config directories
for cdir in overlays;do
   mv %{buildroot}%{homedir}/$cdir %{buildroot}/%{confdir}/$cdir
   ln -s %{confdir}/$cdir %{buildroot}%{homedir}/$cdir
done

# this should be symlinked the other way around but rpm doesn't let us
# do that! BAD BAD rpm
# https://bugzilla.redhat.com/show_bug.cgi?id=447156
for cdir in contexts contexts-available resources;do
    ln -sf %{homedir}/$cdir %{buildroot}/%{confdir}/$cdir
done

# javadocs
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/


%pre
# Add the "jetty" user and group
(getent group  %username || groupadd -r -g %jtuid %username) &>/dev/null || :
(getent passwd %username || useradd  -r -u %jtuid -g %username -d %homedir \
                              -M -s /sbin/nologin %username) &>/dev/null || :

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service >/dev/null 2>&1 || :
    /bin/systemctl stop %{name}.service >/dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi


%triggerun -- jetty < 8.1.0-3
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save jetty >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del jetty >/dev/null 2>&1 || :
/bin/systemctl try-restart jetty.service >/dev/null 2>&1 || :


%files
%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf
%config(noreplace) %attr(644, root, root) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/*
%config(noreplace) %{confdir}
%dir %{jettylibdir}
%dir %{jettycachedir}
%{homedir}
%attr(755, jetty, jetty) %{logdir}
%attr(755, jetty, jetty) %{tempdir}
%ghost %dir %attr(755, jetty, jetty) %{rundir}
%{appdir}
%{_unitdir}/%{name}.service
%{_javadir}/%{name}/%{name}-start.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-start.pom
%{_mavendepmapfragdir}/%{name}

%files project
%doc NOTICE.txt README.txt VERSION.txt LICENSE*
%dir %{_javadir}/%{name}
%{_mavenpomdir}/JPP.%{name}-project.pom
%{_mavendepmapfragdir}/%{name}-project

%files ajp
%{_javadir}/%{name}/%{name}-ajp.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-ajp.pom
%{_mavendepmapfragdir}/%{name}-%{name}-ajp

%files annotations
%{_javadir}/%{name}/%{name}-annotations.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-annotations.pom
%{_mavendepmapfragdir}/%{name}-%{name}-annotations

%files client
%{_javadir}/%{name}/%{name}-client.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-client.pom
%{_mavendepmapfragdir}/%{name}-%{name}-client

%files continuation
%{_javadir}/%{name}/%{name}-continuation.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-continuation.pom
%{_mavendepmapfragdir}/%{name}-%{name}-continuation

%files deploy
%{_javadir}/%{name}/%{name}-deploy.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-deploy.pom
%{_mavendepmapfragdir}/%{name}-%{name}-deploy

%files http
%{_javadir}/%{name}/%{name}-http.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-http.pom
%{_mavendepmapfragdir}/%{name}-%{name}-http

%files http-spi
%{_javadir}/%{name}/%{name}-http-spi.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-http-spi.pom
%{_mavendepmapfragdir}/%{name}-%{name}-http-spi

%files io
%{_javadir}/%{name}/%{name}-io.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-io.pom
%{_mavendepmapfragdir}/%{name}-%{name}-io

%files jaspi
%{_javadir}/%{name}/%{name}-jaspi.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-jaspi.pom
%{_mavendepmapfragdir}/%{name}-%{name}-jaspi

%files jmx
%{_javadir}/%{name}/%{name}-jmx.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-jmx.pom
%{_mavendepmapfragdir}/%{name}-%{name}-jmx

%files jndi
%{_javadir}/%{name}/%{name}-jndi.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-jndi.pom
%{_mavendepmapfragdir}/%{name}-%{name}-jndi

%files monitor
%{_javadir}/%{name}/%{name}-monitor.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-monitor.pom
%{_mavendepmapfragdir}/%{name}-%{name}-monitor

%files nested
%{_javadir}/%{name}/%{name}-nested.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-nested.pom
%{_mavendepmapfragdir}/%{name}-%{name}-nested

%files overlay-deployer
%{_javadir}/%{name}/%{name}-overlay-deployer.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-overlay-deployer.pom
%{_mavendepmapfragdir}/%{name}-%{name}-overlay-deployer

%files plus
%{_javadir}/%{name}/%{name}-plus.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-plus.pom
%{_mavendepmapfragdir}/%{name}-%{name}-plus

%files policy
%{_javadir}/%{name}/%{name}-policy.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-policy.pom
%{_mavendepmapfragdir}/%{name}-%{name}-policy

%files rewrite
%{_javadir}/%{name}/%{name}-rewrite.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-rewrite.pom
%{_mavendepmapfragdir}/%{name}-%{name}-rewrite

%files security
%{_javadir}/%{name}/%{name}-security.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-security.pom
%{_mavendepmapfragdir}/%{name}-%{name}-security

%files server
%{_javadir}/%{name}/%{name}-server.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-server.pom
%{_mavendepmapfragdir}/%{name}-%{name}-server

%files servlet
%{_javadir}/%{name}/%{name}-servlet.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-servlet.pom
%{_mavendepmapfragdir}/%{name}-%{name}-servlet

%files servlets
%{_javadir}/%{name}/%{name}-servlets.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-servlets.pom
%{_mavendepmapfragdir}/%{name}-%{name}-servlets

%files util
%{_javadir}/%{name}/%{name}-util.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-util.pom
%{_mavendepmapfragdir}/%{name}-%{name}-util

%files webapp
%{_javadir}/%{name}/%{name}-webapp.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-webapp.pom
%{_mavendepmapfragdir}/%{name}-%{name}-webapp

%files websocket
%{_javadir}/%{name}/%{name}-websocket.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-websocket.pom
%{_mavendepmapfragdir}/%{name}-%{name}-websocket

%files xml
%{_javadir}/%{name}/%{name}-xml.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-xml.pom
%{_mavendepmapfragdir}/%{name}-%{name}-xml

%if 0%{?rhel} <= 0
%files nosql
%{_javadir}/%{name}/%{name}-nosql.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-nosql.pom
%{_mavendepmapfragdir}/%{name}-%{name}-nosql

%files osgi
%{_javadir}/%{name}/%{name}-osgi*.jar
%{_javadir}/%{name}/%{name}-httpservice.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-osgi*.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-httpservice.pom
%{_mavendepmapfragdir}/%{name}-%{name}-osgi
%endif

%files javadoc
%doc NOTICE.txt LICENSE*
%doc %{_javadocdir}/%{name}

%changelog
* Fri Oct  5 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-12
- Don't delete jetty user on package erase, resolves: rhbz#857708

* Mon Aug 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-11
- Create work directory if not exists, resolves: #845993

* Tue Aug  7 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-10
- Put runtime data in /run instead of /tmp
- Fix patch for disabling OSGi

* Wed Jun 13 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-9
- Fix jetty being accidentaly enabled after update by default
- Resolves: #831280

* Wed May 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-8
- Build jetty-nosql conditionally

* Tue May 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-7
- Add unconditional BR on glassfish-jsp to make build-jar-repository work

* Wed May  9 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-6
- Move start.ini to /etc
- Require glassfish-jsp only for jetty-webapp and jetty-osgi
- Use shadow-utils directly instead of fedora-usermgmt-devel
- Fix license tags

* Mon Apr 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-5
- Don't require subpackages not needed by server itself
- Make jetty look for jars in correct directory
- Add proper dependent jars

* Fri Apr 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.2-4
- Keep license files only in jetty-project and jetty-javadoc packages

* Fri Apr 27 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.2-3
- There is no epoch define in jetty.

* Thu Apr 26 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.2-2
- Drop envr from jpackage-utils as it was wrong.

* Thu Apr 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.2-1
- Update to 8.1.2 upstream release

* Wed Apr 25 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-7
- Split into number of subpackages

* Mon Apr 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-6
- Drop init script, resolves #814788
- Remove jetty.script from SCM
- Reload systemd on package install/upgrade/remove

* Wed Apr 18 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 8.1.0-5
- Replace eclipse-rcp BR with felix-framework
- Add missing R: felix-framework

* Fri Feb 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-4
- Add geronimo-annotation to Requires

* Thu Feb 23 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-3
- Fix web server running example webapp
- Add systemd unit file and conversion scriptlets

* Wed Feb 22 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-2
- Fix #794913 - missing user management utils during install

* Wed Feb  1 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-1
- Update to final release

* Mon Jan 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.4.rc5
- Fix upgrade path problems
- Symlink conf files into etc (so users still see them there)

* Thu Jan 26 2012 Alexander Kurtakov <akurtako@redhat.com> 8.1.0-0.3.rc5
- Revert the dependency on jetty-parent - we don't need the whole maven stack when installing jetty.
- Make the javadoc package not depend on the main one.

* Thu Jan 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.2.rc5
- Add jetty-parent to Requires

* Wed Jan 25 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.1.rc5
- Update to rc5
- Remove symbolic name patch (not needed after bundle plugin fix)

* Wed Jan 25 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 8.1.0-0.1.RC4
- Major update to 8.1.0 RC4
- Removed manual subpackage (was empty anyway)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1.26-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-8
- Install jetty-client and its deps into _javadir and provide maven integration.

* Tue Jun 28 2011 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-7
- Adapt build for maven 3.x.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-5
- Do not require tomcat6-lib.
- Drop one depmap.

* Tue Dec 14 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-4
- Do not require apache-commons-parent in order to not bring maven and friends.

* Wed Dec 01 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-3
- Resolves #655808
- Fix util pom to reference javax.servlet groupid for servlet-api.
- Don't add tomcat6-servlet-api to depmap.
- Remove tomcat5 BR.

* Mon Nov 22 2010 Jeff Johnston <jjohnstn@redhat.com> 6.1.26-2
- Resolves #652020
- Remove tomcat5 references and replace with appropriate alternatives.

* Fri Nov 12 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.26-1
- Update to 6.1.26.

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 6.1.24-1
- Update to 6.1.24.

* Wed Dec 02 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-4
- Resolves #543081
- Add maven depmap fragments.

* Tue Nov 03 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.21-3
- Security issues
- Resolves #532675, #5326565

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-2
- Install unversioned jars.

* Tue Sep 29 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.21-1
- Update to upstream 6.1.21 release.

* Fri Sep 18 2009 Jeff Johnston <jjohnstn@redhat.com> 6.1.20-3
- Add djetty script source and fix init script to work properly.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-2
- Fix requires.

* Tue Sep 15 2009 Alexander Kurtakov <akurtako@redhat.com> 6.1.20-1
- Update to upstream 6.1.20.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-3
- Do not allow directory listings.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-2
- Update OSGI manifest file.

* Tue May 19 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.15-1
- Upgrade to 5.1.15 source tarball for Fedora.

* Fri Apr 22 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-3
- Add %%{libdir} to files list.
- Resolves #473585

* Wed Feb 11 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.10
- Rename jettyc back to .jettyrc.
- Resolves #485012

* Tue Feb 03 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.9
- Change %%{_sysconfdir}/init.d references to be %%{_initrddir}

* Mon Feb 02 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.8
- Fixes for unowned directories.

* Tue Jan 06 2009 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1.7
- Patch init.d script to add status operation
- Patch unix djetty script so it doesn't issue error messages about /dev/tty
  and fix various inconsistencies with the init.d script

* Tue Aug 12 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.6
- Require tomcat5 bits with proper OSGi metadata

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.5
- Bump release.

* Fri Jul 11 2008 Andrew Overholt <overholt@redhat.com> 5.1.14-1.3
- Update OSGi manifest

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.1.14-1.3
- drop repotag

* Fri Jul 04 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.2
- Security patch
- Resolves #417401, #417411, #417391

* Wed Jun 25 2008 Jeff Johnston <jjohnstn@redhat.com> 5.1.14-1jpp.1
- Upgrade to 5.1.14 source tarball for Fedora

* Fri Aug 31 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.7
- Resolves #262221
- Use /bin/sh instead of /sbin/nologin so init will work

* Thu Aug 30 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.6
- Rename all source files from jetty5 to jetty
- Replace jetty5 references with jetty in source files

* Tue Aug 28 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.5
- Rename from jetty5 to jetty

* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.4
- Remove post manual step
- Remove jsse requirement
- Add comment inside jetty.conf so it isn't empty

- Use /sbin/nologin when creating the jetty5 user and group
* Mon Aug 27 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.3
- Use /sbin/nologin when creating the jetty5 user and group
- Remove all jars in %%prep
- Remove unnecessary preun step for removing extra jars
- Fix license
- Fix group for manual subpackage
- Fix group for javadoc subpackage
- Add comment regarding empty jetty.conf file
- Add jsp requirement
- Remove %%post javadoc ln command
- Remove %%post manual ln command
- Change source0 tarball to remove BCLA-licensed jars
- Remove epoch 0 references in subpackage requires for extras and manual
- Rename .jettyrc to jettyrc
- Remove hidden files
- Don't install gcj files twice

* Fri Aug 24 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.2
- Remove demo subpackage.

* Wed Aug 08 2007 Jeff Johnston <jjohnstn@redhat.com> 5.1.12-1jpp.1
- Comment out demo subpackage.

* Mon Aug 06 2007 Ben Konrath <bkonrath@redhat.com> 5.1.12-1jpp.1
- Add --excludes to aot-compile-rpm line.
- Inject OSGi manifest into jetty jar.

* Thu Jul 19 2007 Andrew Overholt <overholt@redhat.com> 5.1.12-1jpp.1
- Update to 5.1.12 for Fedora.
- Use fedora-usermgmt stuff.

* Fri Feb 02 2007 Ralph Apel <r.apel at r-apel.de> - 0:5.1.12-1jpp
- Upgrade to 5.1.12
- Add gcj_support option
- Avoid circular dependency with mx4j-tools thru bootstrap option

* Sat Aug 12 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.4jpp
- Escape macros in changelog with %.
- Untabify.
- Don't delete symlinks in %%preun.
- Add logrotate file.
- Don't install unversioned javadoc files.
- Don't rm old links in manual package.
- Convert some end-of-line encodings.

* Fri Aug 11 2006 Anthony Green <green@redhat.com> - 0:5.1.11-0.rc0.3jpp
- First Fedora build.
- Disable extras.
- Use fedora-useradd & fedora-userdel.
- Add gcj support.
- Tweak License and Group tags for rpmlint.
- Use full URL for Source0.

* Thu Aug 10 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.11-0.rc0.2jpp
- Fix version/release in changelog
- Introduce option '--without extra' to omit this subpackage and its (B)Rs
- Don't delete user on erase
- Tidy up BRs
- Add commons-el.jar to ext
- No ghost for lib/org.mortbay.jetty.jar, lib/org.mortbay.jmx.jar
- Avoid use of build-jar-repository in spec
- Avoid use of rebuild-jar-repository in init and start script
- Don't handle JETTY_PID file in init script: start script takes care
- Patch PostFileFilter to remove a (unused) com.sun package import
- Explicitly (B)R  geronimo-jta-1.0.1B-api instead of any jta
- Add empty file /etc/jetty5/jetty.conf:
  activate contexts manually if desired

* Tue Jun 20 2006 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-3jpp
- First JPP-1.7 release

* Mon Mar 14 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-2jpp
- link commons-logging to %%{_homedir}/ext
- link jspapi to %%{_homedir}/ext
- only use %%{_homedir}/etc not conf

* Tue Feb 01 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.1.2-1jpp
- Upgrade to 5.1.2
- Prepare for build with Java 1.5, (thx to Petr Adamek)
- Require /sbin/chkconfig instead of chkconfig package

* Tue Jan 04 2005 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-2jpp
- Include build of extra, so called JettyPlus
- Create own subdirectory for jetty5 in %%{_javadir}
- Change %%{_homedir}/conf to %%{_homedir}/etc
- Dropped chkconfig requirement; just exec if /sbin/chkconfig available
- Fixed unpackaged .jettyrc

* Mon Oct 04 2004 Ralph Apel <r.apel@r-apel.de> - 0:5.0.0-1jpp
- Upgrade to 5.0.0
- Fixed URL
- relaxed some versioned dependencies

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:4.2.20-2jpp
- Rebuild with ant-1.6.2

* Fri Jun 18 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.20-1jpp
- Upgrade to 4.2.20
- Drop ownership of /usr/share/java and /usr/bin

* Tue Feb 24 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-2jpp
- enhancements and corrections thanks to Kaj J. Niemi:
- $JETTY_HOME/ext didn't exist but %%post depended on it
- correctly shutdown jetty upon uninstall
- RedHat depends on chkconfig/service to work so a functional
  init.d/jetty4 needed to be created
- djetty4 (jetty.sh) did funny things especially when it attempted to guess
  stuff
- a lot of .xml config files assumed that the configs were in etc/ instead of
  conf/

* Thu Feb 19 2004 Ralph Apel <r.apel@r-apel.de> - 0:4.2.17-1jpp
- First JPackage release.
